#!/bin/bash
#
# Workload Automation v2 for LAVA
#
# Copyright (C) 2014, Linaro Limited.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# Author: Milosz Wasilewski <milosz.wasilewski@linaro.org>
#

echo -e "PWD"
echo -e "**********************\n"
pwd
echo -e "**********************\n"
echo -e "Directory contents"
echo -e "**********************\n"
ls -la
echo -e "**********************\n"
echo -e "Agenda"
echo -e "**********************\n"
cat $1
echo -e "**********************\n"
echo -e "CPU status"
echo -e "**********************\n"
IPADDR=`cat IPADDR`
adb -s $IPADDR:5555 shell "cat /proc/cpuinfo"
echo -n "online: "
adb -s $IPADDR:5555 shell "cat /sys/devices/system/cpu/online"
echo -n "offline: "
adb -s $IPADDR:5555 shell "cat /sys/devices/system/cpu/offline"
echo -n "possible: "
adb -s $IPADDR:5555 shell "cat /sys/devices/system/cpu/possible"

echo -n "IKS enabled: "
adb -s $IPADDR:5555 shell "cat /sys/kernel/bL_switcher/active"
echo -e "**********************\n"
echo "wa run $1 -v -f -d $2 -c config.py"
wa run $1 -v -f -d $2 -c config.py
exit 0
